JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_Time.h File Reference

## Classes
class | Time
| Holds an absolute date and time. More...

## Functions
JUCE_API Time | operator+ (Time time, RelativeTime delta) noexcept
| Adds a RelativeTime to a Time.
JUCE_API Time | operator+ (RelativeTime delta, Time time) noexcept
| Adds a RelativeTime to a Time.
JUCE_API Time | operator- (Time time, RelativeTime delta) noexcept
| Subtracts a RelativeTime from a Time.
JUCE_API RelativeTime | operator- (Time time1, Time time2) noexcept
| Returns the relative time difference between two times.
JUCE_API bool | operator== (Time time1, Time time2) noexcept
| Compares two Time objects.
JUCE_API bool | operator!= (Time time1, Time time2) noexcept
| Compares two Time objects.
JUCE_API bool | operator< (Time time1, Time time2) noexcept
| Compares two Time objects.
JUCE_API bool | operator<= (Time time1, Time time2) noexcept
| Compares two Time objects.
JUCE_API bool | operator> (Time time1, Time time2) noexcept
| Compares two Time objects.
JUCE_API bool | operator>= (Time time1, Time time2) noexcept
| Compares two Time objects.